Loading...
Searching...
No Matches
aes-encblock.c File Reference

AES encrypt_block. More...

`#include "includes.h"`
`#include "common.h"`
`#include "aes.h"`
`#include "aes_wrap.h"`

## Functions

int | aes_128_encrypt_block (const u8 *key, const u8 *in, u8 *out)
| aes_128_encrypt_block - Perform one AES 128-bit block operation @key: Key for AES @in: Input data (16 bytes) @out: Output of the AES block operation (16 bytes) Returns: 0 on success, -1 on failure

## Detailed Description

AES encrypt_block.

## Function Documentation

## aes_128_encrypt_block()

int aes_128_encrypt_block | ( | const u8 * | key,
|  | const u8 * | in,
|  | u8 * | out )

aes_128_encrypt_block - Perform one AES 128-bit block operation @key: Key for AES @in: Input data (16 bytes) @out: Output of the AES block operation (16 bytes) Returns: 0 on success, -1 on failure

References aes_encrypt(), aes_encrypt_deinit(), and aes_encrypt_init().

Referenced by milenage_f1(), milenage_f2345(), and milenage_opc_gen().